﻿/*
 *	Yubeshi GPS Parser
 *
 *	This software is distributed under a zlib-style license.
 *	See license.txt for more information.
 */

using System;
using System.Collections.Generic;
using System.Text;

namespace YubeshiTest.NmeaTest
{
    public class SamplePackets
    {
        public static readonly byte[] Dummy;
        public static readonly byte[] GpDtm;
        public static readonly byte[] GpGbs;
        public static readonly byte[] GpGga;
        public static readonly byte[] GpGll;
        public static readonly byte[] GpGrs;
        public static readonly byte[] GpGsa;
        public static readonly byte[] GpGst;
        public static readonly byte[] GpGsv;
        public static readonly byte[] GpRmc;
        public static readonly byte[] GpTxt;
        public static readonly byte[] GpVtg;
        public static readonly byte[] GpZda;

        static SamplePackets()
        {
            Encoding ascii = Encoding.ASCII;

            Dummy = ascii.GetBytes("$GPXXX,YYY,ZZZ,*FF\r\n");

            // from u-blox document
            GpDtm = ascii.GetBytes("$GPDTM,W84,,0.000000,N,0.000000,E,0.0,W84*6F\r\n");
            GpGbs = ascii.GetBytes("$GPGBS,235503.00,1.6,1.4,3.2,,,,*40\r\n");
            GpGga = ascii.GetBytes("$GPGGA,092725.00,4717.11399,N,00833.91590,E,1,8,1.01,499.6,M,48.0,M,,0*5B\r\n");
            GpGll = ascii.GetBytes("$GPGLL,4717.11364,N,00833.91565,E,092321.00,A,A*60\r\n");
            GpGrs = ascii.GetBytes("$GPGRS,082632.00,1,0.54,0.83,1.00,1.02,-2.12,2.64,-0.71,-1.18,0.25,,,*70\r\n");
            GpGsa = ascii.GetBytes("$GPGSA,A,3,23,29,07,08,09,18,26,28,,,,,1.94,1.18,1.54*0D\r\n");
            GpGst = ascii.GetBytes("$GPGST,082356.00,1.8,,,,1.7,1.3,2.2*7E\r\n");
            GpGsv = ascii.GetBytes("$GPGSV,3,1,10,23,38,230,44,29,71,156,47,07,29,116,41,08,09,081,36*7F\r\n");
            GpRmc = ascii.GetBytes("$GPRMC,083559.00,A,4717.11437,N,00833.91522,E,0.004,77.52,091202,,,A*57\r\n");
            GpTxt = ascii.GetBytes("$GPTXT,01,01,02,u-blox ag - www.u-blox.com*50\r\n");
            GpVtg = ascii.GetBytes("$GPVTG,77.52,T,,M,0.004,N,0.008,K,A*06\r\n");
            GpZda = ascii.GetBytes("$GPZDA,082710.00,16,09,2002,00,00*64\r\n");
        }
    }
}
